﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Index.aspx.cs" Inherits="PayPalCredit.Index" %>

<!DOCTYPE HTML>
<html xmlns="http://www.w3.org/1999/xhtml">

    <head>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <title>PayPal Demo Portal</title>
        <!--Including Bootstrap style files-->
        <link href="css/bootstrap.min.css" rel="stylesheet" />
        <link href="css/bootstrap-responsive.min.css" rel="stylesheet" />
    </head>
    <body>
        <div class="container-fluid">
            <div class="well">
                <h2 class="text-center">
                    <img src="img/logo.jpg"/>
                    PayPal Credit Demo
                </h2>
            </div>
            <div class="row-fluid">
                <div class="span6">
                    <!--Form containing item parameters and seller credentials needed for SetExpressCheckout Call-->
                    <form class="form" runat="server" id="ExpressCheckoutForm">
                        <div class="row-fluid">
                            <div class="span6 inner-span">
                                <!--Demo Product details -->
                                <table>
                                    <tr><td><h3>Starbucks Caffe Verona Coffee</h3></td></tr>
                                    <tr><td><img src="img/starbucks_caffe_verona_coffee.png" width="300" height="250"/></td></tr>
                                    <tr><td><p class="lead"> Buyer Credentials:</p></td></tr>
                                    <tr><td>Email-id:&nbsp;&nbsp;&nbsp;&nbsp;<input type="text" id="buyer_email" name="buyer_email" readonly="readonly" /> </td></tr>
                                    <tr><td>Password:&nbsp;<input type="text" id="buyer_password" name="buyer_password" readonly="readonly" /></td></tr>
                                </table>
                            </div>
                            <div class="span6 inner-span">
                                <p class="lead"> Item Specifications:</p>
                                <table>
                                    <tr><td>Item Name:</td><td><asp:TextBox runat="server" id="ITEM_NAME" Text="Starbucks Caffe Verona Coffee" /></td></tr>
                                    <tr><td>Item ID: </td><td><asp:TextBox runat="server" id="ITEM_ID" Text="51QW9" /></td></tr>
                                    <tr><td>Description:</td><td><asp:TextBox runat="server" id="ITEM_DESC" Text="High quality coffee" /></td></tr>
                                    <tr><td>Quantity:</td><td><asp:TextBox runat="server" id="ITEM_QUANTITY" Text="1" ReadOnly="true" /></td></tr>
                                    <tr><td>Price:</td><td><asp:TextBox runat="server" id="ITEM_AMOUNT" Text="10.00" ReadOnly="true" /></td></tr>
                                    <tr><td>Tax:</td><td><asp:TextBox runat="server" id="TAX_AMOUNT" Text="2.00" ReadOnly="true" /></td></tr>
                                    <tr><td>Shipping Amount:</td><td><asp:TextBox runat="server" id="SHIPPING_AMOUNT" Text="5.00" ReadOnly="true" /></td></tr>
                                    <tr><td>Handling Amount:</td><td><asp:TextBox runat="server" id="HANDLING_AMOUNT" Text="1.00" ReadOnly="true" /></td></tr>
                                    <tr><td>Shipping Discount:</td><td><asp:TextBox runat="server" id="SHIPPING_DISCOUNT_AMOUNT" Text="-3.00" ReadOnly="true" /></td></tr>
                                    <tr><td>Insurance&nbsp;Amount:&nbsp;</td><td><asp:TextBox runat="server" id="INSURANCE_AMOUNT" Text="2.00" ReadOnly="true" /></td></tr>
                                    <tr><td>Total Amount:</td><td><asp:TextBox runat="server" id="TOTAL_AMOUNT" Text="17.00" ReadOnly="true" /></td></tr>
                                    <tr><td></td></tr>
                                    <tr><td>Currency Code:</td><td>
                                        <asp:DropDownList id="CURRENCY_CODE_TYPE" runat="server">
                                            <asp:ListItem>AUD</asp:ListItem>
                                            <asp:ListItem>BRL</asp:ListItem>
                                            <asp:ListItem>CAD</asp:ListItem>
                                            <asp:ListItem>CZK</asp:ListItem>
                                            <asp:ListItem>DKK</asp:ListItem>
                                            <asp:ListItem>EUR</asp:ListItem>
                                            <asp:ListItem>HKD</asp:ListItem>
                                            <asp:ListItem>MYR</asp:ListItem>
                                            <asp:ListItem>MXN</asp:ListItem>
                                            <asp:ListItem>NOK</asp:ListItem>
                                            <asp:ListItem>NZD</asp:ListItem>
                                            <asp:ListItem>PHP</asp:ListItem>
                                            <asp:ListItem>PLN</asp:ListItem>
                                            <asp:ListItem>GBP</asp:ListItem>
                                            <asp:ListItem>RUB</asp:ListItem>
                                            <asp:ListItem>SGD</asp:ListItem>
                                            <asp:ListItem>SEK</asp:ListItem>
                                            <asp:ListItem>CHF</asp:ListItem>
                                            <asp:ListItem>THB</asp:ListItem>
                                            <asp:ListItem Selected="True">USD</asp:ListItem>
                                        </asp:DropDownList>
                                        <br/></td></tr>
                                    <tr><td>Payment Type: </td><td>
                                        <asp:DropDownList id="PAYMENT_TYPE" runat="server">
                                        <asp:ListItem>Sale</asp:ListItem>
                                        <asp:ListItem>Authorization</asp:ListItem>
                                        <asp:ListItem>Order</asp:ListItem>
                                        </asp:DropDownList>       
                                        <br/></td>
                                    </tr>
                                    <tr><td><br /></td></tr>
                                    <tr>
                                        <td colspan="2">
                                            <asp:ImageButton runat="server" ID="paypal_credit" OnClick="CallSetExpressCheckout" CommandName="SetExpressCheckout" ImageUrl="https://www.paypalobjects.com/webstatic/en_US/i/buttons/ppcredit-logo-large.png"/>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </div>
                    </form>
                </div>

                <div class="span6">
                    <div class="row-fluid">
                        <div class="span12 inner-span">
                            <p class="lead"> README: </p>
                            <p>
                              1) Click on ‘PayPal Credit’ button and see the experience.  
                              <br/>
                              2) If you get any Firewall warning, add rule to the Firewall to allow incoming connections for your application.
                              <br/>
                              3) Checkout with PayPal using a buyer sandbox account provided on this page. And you're done!
                              <br/>
                              4) The sample code uses default sandbox credentials which are set in Web.config. You can create your own credentials by creating PayPal Seller and Buyer accounts on Sandbox  <i><a href="https://developer.paypal.com/webapps/developer/applications/accounts/create" target="_blank">here</a></i>.
                              <br/>
                              5) Make the following configuration changes:<br/>
                              -If you are using your own Sandbox seller account, update your sandbox credentials in Web.config under &lt;accounts&gt; section <br/>
                              -Change to live endpoints and use live seller account details in Web.config for doing live transactions<br/> 
                              6) For trying out Mobile-EC, change the user-agent of your browser by installing a user agent switcher plugin and see how your website will appear on mobile devices.
                            </p>
                            <p class="lead"> Instructions to integrate 'PayPal Credit' on your website </p>
                            1) Copy the files and folders under 'PayPalCredit' package to the same location where you have your shopping cart page.<br/>
                            2) Open your browser and navigate to your Shopping cart page. Click on 'PayPal Credit' button and complete the flow.<br/>
                            3) Read more details on Express Checkout API <i><a href="https://developer.paypal.com/webapps/developer/docs/classic/products/#ec" target="_blank">here</a>.</i>                  
                        </div>
                    </div>
                </div>

                <!--Script to dynamically choose a seller and buyer account to render on index page-->
                <script type="text/javascript">
                    function getRandomNumberInRange(min, max) {
                        return Math.floor(Math.random() * (max - min) + min);
                    }


                    var buyerCredentials = [{ "email": "ron@hogwarts.com", "password": "qwer1234" },
                                        { "email": "sallyjones1234@gmail.com", "password": "p@ssword1234" },
                                        { "email": "joe@boe.com", "password": "123456789" },
                                        { "email": "hermione@hogwarts.com", "password": "123456789" },
                                        { "email": "lunalovegood@hogwarts.com", "password": "123456789" },
                                        { "email": "ginnyweasley@hogwarts.com", "password": "123456789" },
                                        { "email": "bellaswan@awesome.com", "password": "qwer1234" },
                                        { "email": "edwardcullen@gmail.com", "password": "qwer1234" }];
                    var randomBuyer = getRandomNumberInRange(0, buyerCredentials.length);

                    document.getElementById("buyer_email").value = buyerCredentials[randomBuyer].email;
                    document.getElementById("buyer_password").value = buyerCredentials[randomBuyer].password;

                </script>    

            </div> <!-- Row-Fluid ends here -->
        </div>  <!--Container-Fluid ends here -->

        <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
        <script src="https://code.jquery.com/jquery.js"></script>
        <!-- Include all compiled plugins (below), or include individual files as needed -->
        <script src="js/bootstrap.min.js"></script>
	</body>
</html>                          

